Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module
Class ModuleVideo

    java.lang.Object
      dioscuri.module.AbstractModule
          dioscuri.module.ModuleVideo

All Implemented Interfaces:
  Addressable, Module, Updateable

Direct Known Subclasses:
  Video

    public abstract class ModuleVideo

extends AbstractModule
implements Addressable, Updateable

Abstract class representing a generic video module.

Nested Class Summary

Nested classes/interfaces inherited from interface dioscuri.interfaces.Module
`Module.Type`

Field Summary

Fields inherited from class dioscuri.module.AbstractModule
`type`

Constructor Summary
`ModuleVideo()`

Method Summary
`abstract int[]` | `determineScreenSize()` Determine the screen size in pixels
`abstract byte` | `getAttributePaletteRegister(int index)` Returns a byte from attribute palette register at position index
`abstract byte` | `getTextSnapshot(int index)` Returns a byte from text snapshot at position index
`abstract byte[]` | `getVideoBuffer()` Returns a pointer to the whole video buffer
`abstract byte` | `getVideoBufferByte(int index)` Returns a byte from video buffer at position index
`abstract java.lang.String` | `getVideoBufferCharacters()` Returns all characters (as Unicode) that are currently in buffer
`abstract byte` | `readMode(int address)` Video read mode implementations
`abstract void` | `setTextSnapshot(int index, byte data)` Stores a byte in text snapshot at position index
`abstract void` | `setVideoBufferByte(int index, byte data)` Stores a byte in video buffer at position index
`abstract void` | `writeMode(int address, byte data)` Video write mode implementations

Methods inherited from class dioscuri.module.AbstractModule
`getConnection, getConnections, getDebugMode, getDump, getExpectedConnections, getType, isConnected, reset, setConnection, setDebugMode, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface dioscuri.interfaces.Addressable
`getIOPortByte, getIOPortDoubleWord, getIOPortWord, setIOPortByte, setIOPortDoubleWord, setIOPortWord`

Methods inherited from interface dioscuri.interfaces.Updateable
`getUpdateInterval, setUpdateInterval, update`

Methods inherited from interface dioscuri.interfaces.Module
`getConnection, getConnections, getDebugMode, getDump, getExpectedConnections, getType, isConnected, reset, setConnection, setDebugMode, start, stop`

Constructor Detail

### ModuleVideo

    public ModuleVideo()

Method Detail

### readMode

    public abstract byte readMode(int address)

  Video read mode implementations

  Parameters:
    `address` -
  Returns:
    -

### writeMode

    public abstract void writeMode(int address,
                                   byte data)

  Video write mode implementations

  Parameters:
    `address` -
    `data` -

### determineScreenSize

    public abstract int[] determineScreenSize()

  Determine the screen size in pixels

  Returns:
    integer array containing [height, width] of screen in pixels

### getVideoBuffer

    public abstract byte[] getVideoBuffer()

  Returns a pointer to the whole video buffer

  Returns:
    byte[] containing the video buffer

### getVideoBufferByte

    public abstract byte getVideoBufferByte(int index)

  Returns a byte from video buffer at position index

  Parameters:
    `index` -
  Returns:
    byte from video buffer

### setVideoBufferByte

    public abstract void setVideoBufferByte(int index,
                                            byte data)

  Stores a byte in video buffer at position index

  Parameters:
    `index` -
    `data` -

### getVideoBufferCharacters

    public abstract java.lang.String getVideoBufferCharacters()

  Returns all characters (as Unicode) that are currently in buffer

  Returns:
    String containing all characters in the buffer or null when no characters exist

### getTextSnapshot

    public abstract byte getTextSnapshot(int index)

  Returns a byte from text snapshot at position index

  Parameters:
    `index` -
  Returns:
    byte from textsnapshot

### setTextSnapshot

    public abstract void setTextSnapshot(int index,
                                         byte data)

  Stores a byte in text snapshot at position index

  Parameters:
    `index` -
    `data` -

### getAttributePaletteRegister

    public abstract byte getAttributePaletteRegister(int index)

  Returns a byte from attribute palette register at position index

  Parameters:
    `index` -
  Returns:
    byte from register

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD